Page MenuHomePhabricator

Tests for swagger spec stream routes in EventStreams
Closed, DeclinedPublic5 Estimate Story Points

Description

service-template-node uses preq and Swagger specs to do automated testing (and monitoring in production), but preq won't work with http stream endpoints, as the response never finishes, and the promise never resolves. We need to figure out a way to test stream http endpoints in service-template.

Event Timeline

Ottomata created this task.Nov 10 2016, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2016, 3:48 PM

Or, perhaps we should just wait until this happens:
https://github.com/go-swagger/go-swagger/issues/150

If it ever does, this will be easy! (maybe?)

Nuria moved this task from Wikistats Production to Dashiki on the Analytics board.Jun 15 2017, 4:08 PM
Krinkle moved this task from Inbox to Backlog on the Wikimedia-Stream board.Jun 22 2017, 8:34 PM
Milimetric closed this task as Declined.Apr 2 2018, 3:45 PM
Milimetric added a subscriber: Milimetric.

the automated testing doesn't work easily with this, it's too much work to make it work.